Bug 61226 - Code produced by g++3 segfaults leaving no corefile
Summary: Code produced by g++3 segfaults leaving no corefile
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc3 (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-15 16:42 UTC by Tor Andre Myrvoll
Modified: 2007-04-18 16:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 19:53:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from trying to run the in a GDB session (3.04 KB, text/plain)
2002-03-15 16:43 UTC, Tor Andre Myrvoll
no flags Details

Description Tor Andre Myrvoll 2002-03-15 16:42:01 UTC
Description of Problem:
After updating my gcc3 suite to 3.0.4-1 one of my programs has started to 
segfault immidiately after starting. It doesn't even seem to enter my code, 
but crashes before main() and leaves no core.

Version-Release number of selected component (if applicable):
3.0.4-1 (Newest update from redhat)

How Reproducible:
Always

Steps to Reproduce:
1. Compile program using g++3
2. Run program


Actual Results:
The program segfaults instantly





Expected Results:
The program should work

Additional Information:

Comment 1 Tor Andre Myrvoll 2002-03-15 16:43:39 UTC
Created attachment 48644 [details]
Output from trying to run the in a GDB session

Comment 2 Neal D. Becker 2002-03-18 15:21:30 UTC
I find that Hello World will segfault if linked static but dynamic is OK:

#include <iostream>
#include <stdexcept>

using std::cout;

main() {
  cout << "hello world\n";
}

I consider this very high priority.

Comment 3 Richard Henderson 2004-10-02 19:53:08 UTC
Fixed in gcc 3.2.


Note You need to log in before you can comment on or make changes to this bug.